(function(lib, img, cjs, ss, an) {

    var p; // shortcut to reference prototypes
    lib.webFontTxtInst = {};
    var loadedTypekitCount = 0;
    var loadedGoogleCount = 0;
    var gFontsUpdateCacheList = [];
    var tFontsUpdateCacheList = [];
    lib.ssMetadata = [{
        name: "ControlSkin_atlas_P_",
        frames: [
            [940, 167, 80, 80],
            [934, 249, 80, 80],
            [940, 0, 80, 165],
            [444, 376, 220, 100],
            [444, 478, 110, 100],
            [752, 188, 180, 180],
            [376, 0, 186, 186],
            [0, 0, 186, 186],
            [564, 0, 186, 186],
            [752, 370, 180, 180],
            [188, 0, 186, 186],
            [0, 188, 186, 186],
            [564, 188, 186, 186],
            [0, 376, 180, 180],
            [752, 0, 186, 186],
            [188, 188, 186, 186],
            [376, 188, 186, 186],
            [934, 331, 70, 70],
            [182, 376, 260, 120]
        ]
    }];



    lib.updateListCache = function(cacheList) {
        for (var i = 0; i < cacheList.length; i++) {
            if (cacheList[i].cacheCanvas)
                cacheList[i].updateCache();
        }
    };

    lib.addElementsToCache = function(textInst, cacheList) {
        var cur = textInst;
        while (cur != exportRoot) {
            if (cacheList.indexOf(cur) != -1)
                break;
            cur = cur.parent;
        }
        if (cur != exportRoot) {
            var cur2 = textInst;
            var index = cacheList.indexOf(cur);
            while (cur2 != cur) {
                cacheList.splice(index, 0, cur2);
                cur2 = cur2.parent;
                index++;
            }
        } else {
            cur = textInst;
            while (cur != exportRoot) {
                cacheList.push(cur);
                cur = cur.parent;
            }
        }
    };

    lib.gfontAvailable = function(family, totalGoogleCount) {
        lib.properties.webfonts[family] = true;
        var txtInst = lib.webFontTxtInst && lib.webFontTxtInst[family] || [];
        for (var f = 0; f < txtInst.length; ++f)
            lib.addElementsToCache(txtInst[f], gFontsUpdateCacheList);

        loadedGoogleCount++;
        if (loadedGoogleCount == totalGoogleCount) {
            lib.updateListCache(gFontsUpdateCacheList);
        }
    };

    lib.tfontAvailable = function(family, totalTypekitCount) {
        lib.properties.webfonts[family] = true;
        var txtInst = lib.webFontTxtInst && lib.webFontTxtInst[family] || [];
        for (var f = 0; f < txtInst.length; ++f)
            lib.addElementsToCache(txtInst[f], tFontsUpdateCacheList);

        loadedTypekitCount++;
        if (loadedTypekitCount == totalTypekitCount) {
            lib.updateListCache(tFontsUpdateCacheList);
        }
    };
    // symbols:



    (lib.autoPlayButtonFramePlaque_im = function() {
        this.spriteSheet = ss["ControlSkin_atlas_P_"];
        this.gotoAndStop(0);
    }).prototype = p = new cjs.Sprite();



    (lib.autoPlayButtonPlaque_im = function() {
        this.spriteSheet = ss["ControlSkin_atlas_P_"];
        this.gotoAndStop(1);
    }).prototype = p = new cjs.Sprite();



    (lib.autoPlayChoicesMenu_im = function() {
        this.spriteSheet = ss["ControlSkin_atlas_P_"];
        this.gotoAndStop(2);
    }).prototype = p = new cjs.Sprite();



    (lib.lineBetPlaque_im = function() {
        this.spriteSheet = ss["ControlSkin_atlas_P_"];
        this.gotoAndStop(3);
    }).prototype = p = new cjs.Sprite();



    (lib.linesPlaque_im = function() {
        this.spriteSheet = ss["ControlSkin_atlas_P_"];
        this.gotoAndStop(4);
    }).prototype = p = new cjs.Sprite();



    (lib.play_down_im = function() {
        this.spriteSheet = ss["ControlSkin_atlas_P_"];
        this.gotoAndStop(5);
    }).prototype = p = new cjs.Sprite();



    (lib.play_inactive_im = function() {
        this.spriteSheet = ss["ControlSkin_atlas_P_"];
        this.gotoAndStop(6);
    }).prototype = p = new cjs.Sprite();



    (lib.play_norm_im = function() {
        this.spriteSheet = ss["ControlSkin_atlas_P_"];
        this.gotoAndStop(7);
    }).prototype = p = new cjs.Sprite();



    (lib.play_over_im = function() {
        this.spriteSheet = ss["ControlSkin_atlas_P_"];
        this.gotoAndStop(8);
    }).prototype = p = new cjs.Sprite();



    (lib.skip_down_im = function() {
        this.spriteSheet = ss["ControlSkin_atlas_P_"];
        this.gotoAndStop(9);
    }).prototype = p = new cjs.Sprite();



    (lib.skip_inactive_im = function() {
        this.spriteSheet = ss["ControlSkin_atlas_P_"];
        this.gotoAndStop(10);
    }).prototype = p = new cjs.Sprite();



    (lib.skip_norm_im = function() {
        this.spriteSheet = ss["ControlSkin_atlas_P_"];
        this.gotoAndStop(11);
    }).prototype = p = new cjs.Sprite();



    (lib.skip_over_im = function() {
        this.spriteSheet = ss["ControlSkin_atlas_P_"];
        this.gotoAndStop(12);
    }).prototype = p = new cjs.Sprite();



    (lib.spin_down_im = function() {
        this.spriteSheet = ss["ControlSkin_atlas_P_"];
        this.gotoAndStop(13);
    }).prototype = p = new cjs.Sprite();



    (lib.spin_inactive_im = function() {
        this.spriteSheet = ss["ControlSkin_atlas_P_"];
        this.gotoAndStop(14);
    }).prototype = p = new cjs.Sprite();



    (lib.spin_norm_im = function() {
        this.spriteSheet = ss["ControlSkin_atlas_P_"];
        this.gotoAndStop(15);
    }).prototype = p = new cjs.Sprite();



    (lib.spin_over_im = function() {
        this.spriteSheet = ss["ControlSkin_atlas_P_"];
        this.gotoAndStop(16);
    }).prototype = p = new cjs.Sprite();



    (lib.spinButtonDesign_im = function() {
        this.spriteSheet = ss["ControlSkin_atlas_P_"];
        this.gotoAndStop(17);
    }).prototype = p = new cjs.Sprite();



    (lib.winPlaque2_im = function() {
        this.spriteSheet = ss["ControlSkin_atlas_P_"];
        this.gotoAndStop(18);
    }).prototype = p = new cjs.Sprite();
    // helper functions:

    function mc_symbol_clone() {
        var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop));
        clone.gotoAndStop(this.currentFrame);
        clone.paused = this.paused;
        clone.framerate = this.framerate;
        return clone;
    }

    function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
        var prototype = cjs.extend(symbol, cjs.MovieClip);
        prototype.clone = mc_symbol_clone;
        prototype.nominalBounds = nominalBounds;
        prototype.frameBounds = frameBounds;
        return prototype;
    }


    (lib.StartButton = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {
            _up: 0,
            _down: 4,
            _over: 9,
            _inactive: 15
        });

        // art
        this.instance = new lib.play_norm_im();
        this.instance.parent = this;
        this.instance.setTransform(-91, -88);

        this.instance_1 = new lib.play_down_im();
        this.instance_1.parent = this;
        this.instance_1.setTransform(-88, -85);

        this.instance_2 = new lib.play_over_im();
        this.instance_2.parent = this;
        this.instance_2.setTransform(-91, -88);

        this.instance_3 = new lib.play_inactive_im();
        this.instance_3.parent = this;
        this.instance_3.setTransform(-91, -88);

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.instance
            }]
        }).to({
            state: [{
                t: this.instance_1
            }]
        }, 4).to({
            state: [{
                t: this.instance_2
            }]
        }, 5).to({
            state: [{
                t: this.instance_3
            }]
        }, 6).wait(5));

        // bounding
        this.shape = new cjs.Shape();
        this.shape.graphics.f("rgba(0,51,0,0)").s().p("AvTPUIAA+nIenAAIAAeng");

        this.timeline.addTween(cjs.Tween.get(this.shape).wait(20));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = new cjs.Rectangle(-98, -98, 196, 196);


    (lib.SpinButtonDesign = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // Layer 1
        this.instance = new lib.spinButtonDesign_im();
        this.instance.parent = this;
        this.instance.setTransform(-70, 70, 1, 1, 0, 180, 0);

        this.instance_1 = new lib.spinButtonDesign_im();
        this.instance_1.parent = this;
        this.instance_1.setTransform(70, 70, 1, 1, 180);

        this.instance_2 = new lib.spinButtonDesign_im();
        this.instance_2.parent = this;
        this.instance_2.setTransform(70, -70, 1, 1, 0, 0, 180);

        this.instance_3 = new lib.spinButtonDesign_im();
        this.instance_3.parent = this;
        this.instance_3.setTransform(-70, -70);

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.instance_3
            }, {
                t: this.instance_2
            }, {
                t: this.instance_1
            }, {
                t: this.instance
            }]
        }).wait(1));

    }).prototype = getMCSymbolPrototype(lib.SpinButtonDesign, new cjs.Rectangle(-70, -70, 140, 140), null);


    (lib.SpinButton = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {
            "_up": 0,
            "_down": 4,
            "_over": 9,
            "_inactive": 15
        });

        // art
        this.instance = new lib.spin_norm_im();
        this.instance.parent = this;
        this.instance.setTransform(-91, -88);

        this.instance_1 = new lib.spin_down_im();
        this.instance_1.parent = this;
        this.instance_1.setTransform(-88, -85);

        this.instance_2 = new lib.spin_over_im();
        this.instance_2.parent = this;
        this.instance_2.setTransform(-91, -88);

        this.instance_3 = new lib.spin_inactive_im();
        this.instance_3.parent = this;
        this.instance_3.setTransform(-91, -88);

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.instance
            }]
        }).to({
            state: [{
                t: this.instance_1
            }]
        }, 4).to({
            state: [{
                t: this.instance_2
            }]
        }, 5).to({
            state: [{
                t: this.instance_3
            }]
        }, 6).wait(5));

        // bounding
        this.shape = new cjs.Shape();
        this.shape.graphics.f("rgba(0,51,0,0)").s().p("AvTPUIAA+nIenAAIAAeng");

        this.timeline.addTween(cjs.Tween.get(this.shape).wait(20));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = new cjs.Rectangle(-98, -98, 196, 196);


    (lib.SkipButton = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {
            "_up": 0,
            "_down": 4,
            "_over": 9,
            "_inactive": 15
        });

        // art
        this.instance = new lib.skip_norm_im();
        this.instance.parent = this;
        this.instance.setTransform(-91, -88);

        this.instance_1 = new lib.skip_down_im();
        this.instance_1.parent = this;
        this.instance_1.setTransform(-88, -85);

        this.instance_2 = new lib.skip_over_im();
        this.instance_2.parent = this;
        this.instance_2.setTransform(-91, -88);

        this.instance_3 = new lib.skip_inactive_im();
        this.instance_3.parent = this;
        this.instance_3.setTransform(-91, -88);

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.instance
            }]
        }).to({
            state: [{
                t: this.instance_1
            }]
        }, 4).to({
            state: [{
                t: this.instance_2
            }]
        }, 5).to({
            state: [{
                t: this.instance_3
            }]
        }, 6).wait(5));

        // bounding
        this.shape = new cjs.Shape();
        this.shape.graphics.f("rgba(0,51,0,0)").s().p("AvTPUIAA+nIenAAIAAeng");

        this.timeline.addTween(cjs.Tween.get(this.shape).wait(20));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = new cjs.Rectangle(-98, -98, 196, 196);


    (lib.SendReceiveArt = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // Layer 2
        this.shape = new cjs.Shape();
        this.shape.graphics.f("#FFFFFF").s().p("AjkF1QARAAARgCIAHBSQgRADgYAAgAisFwIAfgGIAUBSIgnAHgAh2FkIAdgKIAfBNQgQAIgUAFgAhBFQQAOgHALgIIAqBJIgfAQgAgREzIAVgQIA0BBQgOAMgNAIgAAaEQQAHgGACgDIAKgJIA8A6IgXAVgABADnIAPgTIBEAvIgSAYgABgC5QAHgMAEgJIBKAmIgNAZgAB4CGIAHgTIBPAaIgIAYgACIBSIAFgUIBSAOIgFAXgACRAaIAAgSIBUACIgCAWgACPguIBTgKIABAVIhSAGgACGhjIBPgWIAFATIhSARgABziXIBNghIAGAQIhOAdgABZjIIBIgrIAHAMIhIAqgAA6jzIA/g2IAIAKIhBAzgAATkaIA4g/IAHAHIg4A+gAgXk8IAthFIAHAEIguBGgAhGlVIAjhMIAGADIgkBKgAh5lpIAYhPIADAAIgYBQgAitl1IALhSIACAAIgMBSg");
        this.shape.setTransform(22.9, 0);

        this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

        // bounding
        this.shape_1 = new cjs.Shape();
        this.shape_1.graphics.f("rgba(0,204,0,0)").s().p("AlDFEQiGiGAAi+QAAi8CGiHQCHiGC8AAQC+AACGCGQCGCHAAC8QAAC+iGCGQiGCGi+AAQi8AAiHiGg");

        this.timeline.addTween(cjs.Tween.get(this.shape_1).wait(1));

    }).prototype = getMCSymbolPrototype(lib.SendReceiveArt, new cjs.Rectangle(-45.8, -45.8, 91.7, 91.7), null);


    (lib.TotalBetPlaqueBG = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // lineBetPlaque
        this.instance = new lib.lineBetPlaque_im();
        this.instance.parent = this;

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.TotalBetPlaqueBG, new cjs.Rectangle(0, 0, 220, 100), null);


    (lib.stepper_lines = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // timeline functions:
        this.frame_0 = function() {
            this.label.params = {
                fontYOffset: 0,
                outline: {
                    size: 2,
                    yOffset: 0,
                    xOffset: 0,
                    color: "#333333"
                }
            }
        }

        // actions tween:
        this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

        // label
        this.label = new cjs.Text("XX", "bold 26px 'Futura Cdnsd BoldEuro LocCur'", "#FFFFFF");
        this.label.name = "label";
        this.label.textAlign = "center";
        this.label.lineHeight = 35;
        this.label.lineWidth = 36;
        this.label.parent = this;
        this.label.setTransform(55, -3);
        this.label.shadow = new cjs.Shadow("rgba(0,0,0,1)", 1, 1, 0);

        this.timeline.addTween(cjs.Tween.get(this.label).wait(1));

    }).prototype = getMCSymbolPrototype(lib.stepper_lines, new cjs.Rectangle(7.3, -6, 95.8, 45), null);


    (lib.meter_win = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // frame
        this.instance = new lib.winPlaque2_im();
        this.instance.parent = this;

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.meter_win, new cjs.Rectangle(0, 0, 260, 120), null);


    (lib.balancePlaqueBG = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // balancePlaque
        this.instance = new lib.lineBetPlaque_im();
        this.instance.parent = this;

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.balancePlaqueBG, new cjs.Rectangle(0, 0, 220, 100), null);


    (lib.arrowOutline = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // button frame
        this.shape = new cjs.Shape();
        this.shape.graphics.f("#FFDD61").s().p("AhyiKIDlCKIjlCMgAhuCDIDXiDIjXiBg");
        this.shape.setTransform(12.1, 12.1);

        this.shape_1 = new cjs.Shape();
        this.shape_1.graphics.f("#AF7D0A").s().p("Ah8iVID5CWIj5CUgAh2CMIDkiLIjkiLg");
        this.shape_1.setTransform(12.6, 12);

        this.shape_2 = new cjs.Shape();
        this.shape_2.graphics.f("#DAA838").s().p("AhriCIDXCCIjXCCg");
        this.shape_2.setTransform(11.8, 12.1);

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.shape_2
            }, {
                t: this.shape_1
            }, {
                t: this.shape
            }]
        }).wait(1));

    }).prototype = getMCSymbolPrototype(lib.arrowOutline, new cjs.Rectangle(0.1, -2.9, 25, 29.9), null);


    (lib.arrowHighlight = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // Layer 1
        this.shape = new cjs.Shape();
        this.shape.graphics.lf(["#FFFFFF", "#666666"], [0, 1], 0, -2, 0, 2.9).s().p("AgxAdIBjg5IAAA5g");

        this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

    }).prototype = getMCSymbolPrototype(lib.arrowHighlight, new cjs.Rectangle(-4.9, -2.8, 10, 5.8), null);


    (lib.AutoPlayChoiceBackground = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // Layer 1
        this.instance = new lib.autoPlayChoicesMenu_im();
        this.instance.parent = this;

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.AutoPlayChoiceBackground, new cjs.Rectangle(0, 0, 80, 165), null);


    (lib.AutoPlayBounding = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // Layer 1
        this.shape = new cjs.Shape();
        this.shape.graphics.f("#33FF00").s().p("AkrB9IAAj5IJXAAIAAD5g");
        this.shape.setTransform(25, 12.5);

        this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

    }).prototype = getMCSymbolPrototype(lib.AutoPlayBounding, new cjs.Rectangle(-5, 0, 60, 25), null);


    (lib.autoPlayLit = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // Layer 3
        this.shape = new cjs.Shape();
        this.shape.graphics.f("#FFFFFF").s().p("AjXD6QgOAAgKgKQgKgKAAgOIAAmvQAAgOAKgKQAKgKAOAAIGvAAQAOAAAKAKQAKAKAAAOIAAGvQAAAOgKAKQgKAKgOAAg");

        this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

    }).prototype = getMCSymbolPrototype(lib.autoPlayLit, new cjs.Rectangle(-25, -25, 50, 50), null);


    (lib.autoPlayButtonHighlight = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // highlight
        this.shape = new cjs.Shape();
        this.shape.graphics.f("rgba(255,255,255,0.247)").s().p("AjoBeIAAibQgBgiAiAAIGPAAQAiAAgBAiIAAAhIgTAPQigBtjjAAQgfAAgcgCg");
        this.shape.setTransform(0, -13.8);

        this.shape_1 = new cjs.Shape();
        this.shape_1.graphics.f("rgba(0,153,0,0)").s().p("AjHD6QgyAAAAgyIAAmPQAAgyAyAAIGPAAQAyAAAAAyIAAGPQAAAygyAAgAjojHIAACdQAcABAfAAQDjAACghuIATgPIAAghQABgigiABImPAAQgigBABAig");

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.shape_1
            }, {
                t: this.shape
            }]
        }).wait(1));

    }).prototype = getMCSymbolPrototype(lib.autoPlayButtonHighlight, new cjs.Rectangle(-25, -25, 50, 50), null);


    (lib.AutoPlayStopButtonSquareIcon = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // white
        this.shape = new cjs.Shape();
        this.shape.graphics.f("#FFFFFF").s().p("AhWBXIAAitICtAAIAACtg");

        this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

    }).prototype = getMCSymbolPrototype(lib.AutoPlayStopButtonSquareIcon, new cjs.Rectangle(-8.7, -8.7, 17.4, 17.4), null);


    (lib.autoPlayStopButtonLabel = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // value
        this.value = new cjs.Text("XXX", "bold 18px 'Futura Cdnsd BoldEuro LocCur'", "#FFFFFF");
        this.value.name = "value";
        this.value.textAlign = "center";
        this.value.lineHeight = 25;
        this.value.lineWidth = 41;
        this.value.parent = this;
        this.value.setTransform(0, -9.5);
        this.value.shadow = new cjs.Shadow("rgba(0,0,0,1)", 1, 1, 1);

        this.timeline.addTween(cjs.Tween.get(this.value).wait(1));

    }).prototype = getMCSymbolPrototype(lib.autoPlayStopButtonLabel, new cjs.Rectangle(-24.6, -13.5, 52, 41), null);


    (lib.autoPlayMenuHighlight = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // Layer 3
        this.shape = new cjs.Shape();
        this.shape.graphics.lf(["#B26CEC", "#AB68E3"], [0, 1], -25, 0, 25, 0).s().p("Aj5B9IAAj5IHzAAIAAD5g");
        this.shape.setTransform(25, 12.5);

        this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

    }).prototype = getMCSymbolPrototype(lib.autoPlayMenuHighlight, new cjs.Rectangle(0, 0, 50, 25), null);


    (lib.autoPlayMenuBackground = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // Layer 3
        this.shape = new cjs.Shape();
        this.shape.graphics.lf(["#53326D", "#B26CEC", "#53326D"], [0.086, 0.498, 0.922], -25, 0, 25, 0).s().p("Aj5B9IAAj5IHzAAIAAD5g");
        this.shape.setTransform(25, 12.5);

        this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

    }).prototype = getMCSymbolPrototype(lib.autoPlayMenuBackground, new cjs.Rectangle(0, 0, 50, 25), null);


    (lib.autoPlayChoiceLabel = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // value
        this.value = new cjs.Text("XXX", "bold 18px 'Futura Cdnsd BoldEuro LocCur'", "#FFFFFF");
        this.value.name = "value";
        this.value.textAlign = "center";
        this.value.lineHeight = 32;
        this.value.lineWidth = 46;
        this.value.parent = this;
        this.value.setTransform(0, -11.7, 1.001, 1);
        this.value.shadow = new cjs.Shadow("rgba(0,0,0,1)", 1, 1, 1);

        this.timeline.addTween(cjs.Tween.get(this.value).wait(1));

    }).prototype = getMCSymbolPrototype(lib.autoPlayChoiceLabel, new cjs.Rectangle(-26.9, -15.7, 57, 34), null);


    (lib.autoplayPlusIcon = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // Layer 3
        this.shape = new cjs.Shape();
        this.shape.graphics.f("rgba(255,255,255,0.749)").s().p("AgIA8QgEAAgDgCQgCgDAAgEIAAgiIgjAAQgDAAgCgDQgCgCAAgDIAAgRQAAgIAHAAIAjAAIAAgiQAAgFACgCQADgCAEAAIARAAQAHAAABAJIAAAiIAiAAQAJAAAAAIIAAARQAAADgDACQgCADgEAAIgiAAIAAAiQgBAJgHAAg");

        this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

    }).prototype = getMCSymbolPrototype(lib.autoplayPlusIcon, new cjs.Rectangle(-6, -6, 12, 12), null);


    (lib.autoPlayArrow_single = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // v9
        this.shape = new cjs.Shape();
        this.shape.graphics.lf(["rgba(255,255,255,0.702)", "rgba(255,255,255,0)"], [0, 1], 4.3, -0.9, -8.6, 2.1).s().p("AhvAFIAEgFQAYgXAhgNQAfgNAhAAQAiAAAfANQASAHAPALIgeAqQgKgIgNgFQgVgJgYAAQgXAAgWAJQgWAJgRARIgLANg");
        this.shape.setTransform(-1.4, -12.2);

        this.shape_1 = new cjs.Shape();
        this.shape_1.graphics.f("rgba(255,255,255,0.702)").s().p("Ag5AXIAmAAQAAgXgIgWQgKgWgRgSQgIgHgJgGIAegrQANAIALALQAXAZAOAgQAMAgAAAhIAoAAIhCBgg");
        this.shape_1.setTransform(14, -2.2);

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.shape_1
            }, {
                t: this.shape
            }]
        }).wait(1));

        // bounding
        this.shape_2 = new cjs.Shape();
        this.shape_2.graphics.f("rgba(0,95,158,0)").s().p("AibCcQhAhBAAhbQAAhbBAhAQBBhABaAAQBbAABBBAQBABAAABbQAABbhABBQhBBAhbAAQhaAAhBhAg");

        this.timeline.addTween(cjs.Tween.get(this.shape_2).wait(1));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = new cjs.Rectangle(-22, -22, 44, 44);


    (lib.SendReceive = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {
            "static": 0,
            on: 9,
            onLoop: 19,
            onDone: 54,
            off: 62
        });

        // art
        this.instance = new lib.SendReceiveArt();
        this.instance.parent = this;
        this.instance._off = true;
        this.instance.cache(-48, -48, 96, 96);

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(19).to({
            _off: false
        }, 0).to({
            rotation: 90
        }, 9).to({
            rotation: 180
        }, 9).to({
            rotation: 270
        }, 9).to({
            scaleX: 1,
            scaleY: 1,
            rotation: 350
        }, 8).to({
            _off: true
        }, 1).wait(12));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = null;


    (lib.PlayButton = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // sendReceive
        this.sendReceive = new lib.SendReceive();
        this.sendReceive.parent = this;

        this.timeline.addTween(cjs.Tween.get(this.sendReceive).wait(1));

        // startButton
        this.startButton = new lib.StartButton();
        this.startButton.parent = this;
        this.startButton.setTransform(19.6, 19.6, 0.58, 0.58, 0, 0, 0, 33.7, 33.7);

        this.timeline.addTween(cjs.Tween.get(this.startButton).wait(1));

        // spinButton
        this.spinButton = new lib.SpinButton();
        this.spinButton.parent = this;
        this.spinButton.setTransform(19.6, 19.6, 0.58, 0.58, 0, 0, 0, 33.7, 33.7);

        this.timeline.addTween(cjs.Tween.get(this.spinButton).wait(1));

        // skipButton
        this.skipButton = new lib.SkipButton();
        this.skipButton.parent = this;
        this.skipButton.setTransform(19.6, 19.6, 0.58, 0.58, 0, 0, 0, 33.8, 33.8);

        this.timeline.addTween(cjs.Tween.get(this.skipButton).wait(1));

        // spin button design
        this.instance = new lib.SpinButtonDesign();
        this.instance.parent = this;

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.PlayButton, new cjs.Rectangle(-70, -70, 140, 140), null);


    (lib.WinMeter = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // timeline functions:
        this.frame_0 = function() {
            this.label.params = {
                fontYOffset: -10,
                outline: {
                    size: 4,
                    yOffset: 0,
                    xOffset: 0,
                    color: "#634923"
                }
            }


            this.textField.params = {
                fontYOffset: 0,
                outline: {
                    size: 2,
                    yOffset: 0,
                    xOffset: 0,
                    color: "#333333"
                }
            }
        }

        // actions tween:
        this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

        // text
        this.textField = new cjs.Text("XXXX", "bold 36px 'Futura Cdnsd BoldEuro LocCur'", "#FFFFFF");
        this.textField.name = "textField";
        this.textField.textAlign = "center";
        this.textField.lineHeight = 48;
        this.textField.lineWidth = 216;
        this.textField.parent = this;
        this.textField.setTransform(130, 54);
        this.textField.shadow = new cjs.Shadow("rgba(0,0,0,1)", 1, 1, 0);

        this.timeline.addTween(cjs.Tween.get(this.textField).wait(1));

        // label
        this.label = new cjs.Text("???", "26px 'Trajan Pro Loc Currency'", "#F2D854");
        this.label.name = "label";
        this.label.textAlign = "center";
        this.label.lineHeight = 32;
        this.label.lineWidth = 216;
        this.label.parent = this;
        this.label.setTransform(130, 22);
        this.label.shadow = new cjs.Shadow("rgba(0,0,0,1)", 1, 1, 0);

        this.timeline.addTween(cjs.Tween.get(this.label).wait(1));

        // plaque
        this.instance = new lib.meter_win();
        this.instance.parent = this;
        this.instance.setTransform(85.3, 36.6, 1, 1, 0, 0, 0, 85.3, 36.6);
        this.instance.cache(-2, -2, 264, 124);

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.WinMeter, new cjs.Rectangle(0, 0, 260, 120), null);


    (lib.TotalBetMeter = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // timeline functions:
        this.frame_0 = function() {
            this.label.params = {
                fontYOffset: -10,
                outline: {
                    size: 4,
                    yOffset: 0,
                    xOffset: 0,
                    color: "#634923"
                }
            }


            this.textField.params = {
                fontYOffset: 0,
                outline: {
                    size: 2,
                    yOffset: 0,
                    xOffset: 0,
                    color: "#333333"
                }
            }
        }

        // actions tween:
        this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

        // text
        this.textField = new cjs.Text("XXX", "bold 26px 'Futura Cdnsd BoldEuro LocCur'", "#FFFFFF");
        this.textField.name = "textField";
        this.textField.textAlign = "center";
        this.textField.lineHeight = 35;
        this.textField.lineWidth = 166;
        this.textField.parent = this;
        this.textField.setTransform(110, 47);
        this.textField.shadow = new cjs.Shadow("rgba(0,0,0,1)", 1, 1, 0);

        this.timeline.addTween(cjs.Tween.get(this.textField).wait(1));

        // label
        this.label = new cjs.Text("???", "22px 'Trajan Pro Loc Currency'", "#F2D854");
        this.label.name = "label";
        this.label.textAlign = "center";
        this.label.lineHeight = 27;
        this.label.lineWidth = 166;
        this.label.parent = this;
        this.label.setTransform(110, 22);
        this.label.shadow = new cjs.Shadow("rgba(0,0,0,1)", 1, 1, 0);

        this.timeline.addTween(cjs.Tween.get(this.label).wait(1));

        // plaque
        this.instance = new lib.TotalBetPlaqueBG();
        this.instance.parent = this;
        this.instance.setTransform(78, 31.5, 1, 1, 0, 0, 0, 78, 31.5);
        this.instance.cache(-2, -2, 224, 104);

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.TotalBetMeter, new cjs.Rectangle(0, 0, 220, 100), null);


    (lib.linesdisplayloc = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // timeline functions:
        this.frame_0 = function() {
            this.label.params = {
                fontYOffset: -10,
                outline: {
                    size: 4,
                    yOffset: 0,
                    xOffset: 0,
                    color: "#634923"
                }
            }
        }

        // actions tween:
        this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

        // numeric stepper
        this.numericStepper = new lib.stepper_lines();
        this.numericStepper.parent = this;
        this.numericStepper.setTransform(67.5, 68.1, 1, 1, 0, 0, 0, 67.5, 18.1);

        this.timeline.addTween(cjs.Tween.get(this.numericStepper).wait(1));

        // label
        this.label = new cjs.Text("???", "22px 'Trajan Pro Loc Currency'", "#F2D854");
        this.label.name = "label";
        this.label.textAlign = "center";
        this.label.lineHeight = 30;
        this.label.lineWidth = 86;
        this.label.parent = this;
        this.label.setTransform(55, 22);
        this.label.shadow = new cjs.Shadow("rgba(0,0,0,1)", 1, 1, 0);

        this.timeline.addTween(cjs.Tween.get(this.label).wait(1));

        // plaque
        this.instance = new lib.linesPlaque_im();
        this.instance.parent = this;

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.linesdisplayloc, new cjs.Rectangle(0, 0, 110, 100), null);


    (lib.balancedisplayloc = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // timeline functions:
        this.frame_0 = function() {
            this.label.params = {
                fontYOffset: -10,
                outline: {
                    size: 4,
                    yOffset: 0,
                    xOffset: 0,
                    color: "#634923"
                }
            }


            this.textField.params = {
                fontYOffset: 0,
                outline: {
                    size: 2,
                    yOffset: 0,
                    xOffset: 0,
                    color: "#333333"
                }
            }
        }

        // actions tween:
        this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

        // text
        this.textField = new cjs.Text("XXX", "bold 26px 'Futura Cdnsd BoldEuro LocCur'", "#FFFFFF");
        this.textField.name = "textField";
        this.textField.textAlign = "center";
        this.textField.lineHeight = 35;
        this.textField.lineWidth = 166;
        this.textField.parent = this;
        this.textField.setTransform(110, 47);
        this.textField.shadow = new cjs.Shadow("rgba(0,0,0,1)", 1, 1, 0);

        this.timeline.addTween(cjs.Tween.get(this.textField).wait(1));

        // label
        this.label = new cjs.Text("???", "22px 'Trajan Pro Loc Currency'", "#F2D854");
        this.label.name = "label";
        this.label.textAlign = "center";
        this.label.lineHeight = 27;
        this.label.lineWidth = 166;
        this.label.parent = this;
        this.label.setTransform(110, 22);
        this.label.shadow = new cjs.Shadow("rgba(0,0,0,1)", 1, 1, 0);

        this.timeline.addTween(cjs.Tween.get(this.label).wait(1));

        // plaque
        this.instance = new lib.balancePlaqueBG();
        this.instance.parent = this;
        this.instance.setTransform(89, 31.5, 1, 1, 0, 0, 0, 89, 31.5);
        this.instance.cache(-2, -2, 224, 104);

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.balancedisplayloc, new cjs.Rectangle(0, 0, 220, 100), null);


    (lib.arrowUp = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // arrowHighlight
        this.arrowHighlight = new lib.arrowHighlight();
        this.arrowHighlight.parent = this;
        this.arrowHighlight.setTransform(9, 18.3, 1.192, 1.192, 180);
        this.arrowHighlight.alpha = 0.301;

        this.timeline.addTween(cjs.Tween.get(this.arrowHighlight).wait(1));

        // button
        this.shape = new cjs.Shape();
        this.shape.graphics.lf(["#42EBFF", "#0FACCE", "#0CA7D2", "#0598DF", "#008EE8", "#0085EA", "#006CEF", "#0065F0"], [0, 0.231, 0.365, 0.529, 0.612, 0.733, 0.937, 0.984], 0, -9.3, 0, 9.4).s().p("Ahjh3IDHB3IjHB4g");
        this.shape.setTransform(11.5, 12);

        this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

        // button frame
        this.instance = new lib.arrowOutline();
        this.instance.parent = this;
        this.instance.setTransform(11.1, 12.1, 1, 1, 0, 0, 0, 11.1, 12.1);

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.arrowUp, new cjs.Rectangle(0.1, -2.9, 25, 29.9), null);


    (lib.arrowOver = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // arrowHighlight
        this.arrowHighlight = new lib.arrowHighlight();
        this.arrowHighlight.parent = this;
        this.arrowHighlight.setTransform(13.3, 6, 1.192, 1.192);
        this.arrowHighlight.alpha = 0.301;

        this.timeline.addTween(cjs.Tween.get(this.arrowHighlight).wait(1));

        // button
        this.shape = new cjs.Shape();
        this.shape.graphics.lf(["#78F1FF", "#48DFFF", "#36B1FF", "#377EFF"], [0, 0.208, 0.51, 0.984], 0, 9.4, 0, -9.4).s().p("AhnAAIDPh4IAADxg");
        this.shape.setTransform(10, 12, 0.962, 0.994);

        this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

        // button frame
        this.instance = new lib.arrowOutline();
        this.instance.parent = this;
        this.instance.setTransform(10.9, 12.1, 1, 1, 0, 0, 180, 11.1, 12.1);

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.arrowOver, new cjs.Rectangle(-3, -2.9, 25, 29.9), null);


    (lib.arrowInactive = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // arrowHighlight
        this.arrowHighlight = new lib.arrowHighlight();
        this.arrowHighlight.parent = this;
        this.arrowHighlight.setTransform(13.3, 6, 1.192, 1.192);
        this.arrowHighlight.alpha = 0.301;

        this.timeline.addTween(cjs.Tween.get(this.arrowHighlight).wait(1));

        // Layer 4
        this.shape = new cjs.Shape();
        this.shape.graphics.lf(["#AAAAAA", "#7B7B7B", "#777777", "#737373"], [0, 0.247, 0.471, 0.984], 0, 9.4, 0, -9.4).s().p("AhnAAIDPh4IAADxg");
        this.shape.setTransform(10, 12, 0.962, 0.994);

        this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

        // Layer 6
        this.instance = new lib.arrowOutline();
        this.instance.parent = this;
        this.instance.setTransform(10.9, 12.1, 1, 1, 0, 0, 180, 11.1, 12.1);
        this.instance.alpha = 0.5;

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.arrowInactive, new cjs.Rectangle(-3, -2.9, 25.4, 29.9), null);


    (lib.arrowDown = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // arrowHighlight
        this.arrowHighlight = new lib.arrowHighlight();
        this.arrowHighlight.parent = this;
        this.arrowHighlight.setTransform(13.2, 6.3, 1.132, 1.132);
        this.arrowHighlight.alpha = 0.301;

        this.timeline.addTween(cjs.Tween.get(this.arrowHighlight).wait(1));

        // button
        this.shape = new cjs.Shape();
        this.shape.graphics.lf(["#78F1FF", "#48DFFF", "#36B1FF", "#377EFF"], [0, 0.208, 0.51, 0.984], 0, 9.4, 0, -9.4).s().p("AhnAAIDPh4IAADxg");
        this.shape.setTransform(10.4, 12.1, 0.95, 0.95);

        this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

        // button frame
        this.instance = new lib.arrowOutline();
        this.instance.parent = this;
        this.instance.setTransform(11.1, 12.1, 1, 1, 0, 0, 180, 11.1, 12.1);

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.arrowDown, new cjs.Rectangle(-2.8, -2.9, 25, 29.9), null);


    (lib.autoPlayButtonFill = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // blue
        this.shape = new cjs.Shape();
        this.shape.graphics.rf(["#42EBFF", "#0FACCE", "#008EE8", "#007AEC", "#006AEF", "#0065F0"], [0, 0.251, 0.557, 0.698, 0.855, 0.984], 0.2, 25.8, 0, 0.2, 25.8, 50.4).s().p("AjXD6QgOAAgKgKQgKgKAAgOIAAmvQAAgOAKgKQAKgKAOAAIGvAAQAOAAAKAKQAKAKAAAOIAAGvQAAAOgKAKQgKAKgOAAg");

        this.shape_1 = new cjs.Shape();
        this.shape_1.graphics.rf(["#42EBFF", "#0FACCE", "#008EE8", "#007AEC", "#006AEF", "#0065F0"], [0, 0.251, 0.557, 0.698, 0.855, 0.984], 0.2, 24.7, 0, 0.2, 24.7, 48.3).s().p("AjPDwQgOAAgIgKQgKgJAAgNIAAmfQAAgNAKgJQAIgKAOAAIGfAAQANAAAJAKQAKAJAAANIAAGfQAAANgKAJQgJAKgNAAg");

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.shape
            }]
        }).to({
            state: [{
                t: this.shape_1
            }]
        }, 1).to({
            state: []
        }, 1).wait(3));

        // square
        this.instance = new lib.AutoPlayStopButtonSquareIcon();
        this.instance.parent = this;
        this.instance.setTransform(0, 0, 0.751, 0.751);
        this.instance._off = true;

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(2).to({
            _off: false
        }, 0).wait(1).to({
            scaleX: 0.73,
            scaleY: 0.73
        }, 0).to({
            _off: true
        }, 1).wait(1));

        // red
        this.shape_2 = new cjs.Shape();
        this.shape_2.graphics.rf(["#FC4300", "#ED1300", "#B0001B"], [0.004, 0.388, 0.914], -0.2, 25, 0, -0.2, 25, 53.9).s().p("AjHD6QgyAAAAgyIAAmPQAAgyAyAAIGPAAQAyAAAAAyIAAGPQAAAygyAAg");

        this.shape_3 = new cjs.Shape();
        this.shape_3.graphics.rf(["#FC4300", "#ED1300", "#B0001B"], [0.004, 0.388, 0.914], 0.6, 24, 0, 0.6, 24, 51.4).s().p("Ai+DwQgxAAAAgxIAAl9QAAgxAxAAIF9AAQAxAAAAAxIAAF9QAAAxgxAAg");

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: []
        }).to({
            state: [{
                t: this.shape_2
            }]
        }, 2).to({
            state: [{
                t: this.shape_3
            }]
        }, 1).to({
            state: []
        }, 1).wait(1));

        // grey
        this.shape_4 = new cjs.Shape();
        this.shape_4.graphics.rf(["#C4C4C4", "#808080", "#6E6E6E"], [0.004, 0.349, 1], 0.2, 25.7, 0, 0.2, 25.7, 50.3).s().p("AjXD6QgPAAgJgKQgKgKAAgOIAAmvQAAgOAKgKQAJgKAPAAIGvAAQAPAAAJAKQAKAKAAAOIAAGvQAAAOgKAKQgJAKgPAAg");
        this.shape_4._off = true;

        this.timeline.addTween(cjs.Tween.get(this.shape_4).wait(4).to({
            _off: false
        }, 0).wait(1));

        // bounding
        this.shape_5 = new cjs.Shape();
        this.shape_5.graphics.f("rgba(0,153,0,0)").s().p("AjGD6QgzAAAAgzIAAmNQAAgzAzAAIGNAAQAzAAAAAzIAAGNQAAAzgzAAg");

        this.timeline.addTween(cjs.Tween.get(this.shape_5).wait(5));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = new cjs.Rectangle(-25, -25, 50, 50);


    (lib.autoPlayChoiceValue = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {
            "_up": 0,
            "_over": 9,
            "_down": 19,
            _selected: 29,
            "_inactive": 39
        });

        // label
        this.label = new lib.autoPlayChoiceLabel();
        this.label.parent = this;
        this.label.setTransform(50.7, 25.8, 1, 1, 0, 0, 0, 25.7, 13.3);

        this.timeline.addTween(cjs.Tween.get(this.label).wait(19).to({
            scaleX: 0.97,
            scaleY: 0.97,
            x: 49.2,
            y: 25.4
        }, 0).wait(10).to({
            scaleX: 1,
            scaleY: 1,
            x: 50.7,
            y: 25.8
        }, 0).wait(21));

        // autoPlayHighlight
        this.instance = new lib.autoPlayMenuBackground();
        this.instance.parent = this;
        this.instance.setTransform(22.1, 8.8, 1, 1, 0, 0, 0, 22.1, 8.8);
        this.instance.alpha = 0.488;

        this.autoPlayHighlight = new lib.autoPlayMenuHighlight();
        this.autoPlayHighlight.parent = this;
        this.autoPlayHighlight.setTransform(26, 10.4, 1, 1, 0, 0, 0, 26, 10.4);

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.instance
            }]
        }).to({
            state: [{
                t: this.autoPlayHighlight,
                p: {
                    regX: 26,
                    regY: 10.4,
                    scaleX: 1,
                    scaleY: 1,
                    x: 26,
                    y: 10.4
                }
            }]
        }, 9).to({
            state: [{
                t: this.autoPlayHighlight,
                p: {
                    regX: 25.8,
                    regY: 10.6,
                    scaleX: 0.941,
                    scaleY: 0.941,
                    x: 25.6,
                    y: 10.4
                }
            }]
        }, 10).to({
            state: [{
                t: this.autoPlayHighlight,
                p: {
                    regX: 22.1,
                    regY: 8.8,
                    scaleX: 1,
                    scaleY: 1,
                    x: 22.1,
                    y: 8.8
                }
            }]
        }, 10).wait(21));

        // bounding
        this.instance_1 = new lib.AutoPlayBounding();
        this.instance_1.parent = this;
        this.instance_1.setTransform(30, 12.5, 1, 1, 0, 0, 0, 30, 12.5);
        this.instance_1.alpha = 0;

        this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(50));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = new cjs.Rectangle(-5, -3.2, 60.1, 35);


    (lib.autoPlayButtonArrowsIcon = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // autoPlayArrow_single
        this.instance = new lib.autoPlayArrow_single("single", 0);
        this.instance.parent = this;
        this.instance.setTransform(0.1, 0, 1.135, 1.135, 180, 0, 0, -0.1, 0);

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

        // autoPlayArrow_single
        this.instance_1 = new lib.autoPlayArrow_single("single", 0);
        this.instance_1.parent = this;
        this.instance_1.setTransform(0.1, 0, 1.135, 1.135, 0, 0, 0, 0.1, 0);

        this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(1));

        // bounding
        this.shape = new cjs.Shape();
        this.shape.graphics.f("rgba(0,95,158,0)").s().p("AiwCvQhJhIAAhnQAAhnBJhIQBKhKBmAAQBnAABIBKQBLBIAABnQAABnhLBIQhIBLhnAAQhmAAhKhLg");

        this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

    }).prototype = getMCSymbolPrototype(lib.autoPlayButtonArrowsIcon, new cjs.Rectangle(-25, -25, 50, 50), null);


    (lib.linesIncrementorButton = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {
            "_up": 0,
            "_over": 4,
            "_down": 9,
            "_inactive": 14
        });

        // plus
        this.shape = new cjs.Shape();
        this.shape.graphics.f("#FFFFFF").s().p("AgJA5IAAgvIgvAAIAAgTIAvAAIAAgvIATAAIAAAvIAvAAIAAATIgvAAIAAAvg");
        this.shape.setTransform(9.1, 11.9);

        this.shape_1 = new cjs.Shape();
        this.shape_1.graphics.f("#00ABFF").s().p("AgJA5IAAgvIgvAAIAAgTIAvAAIAAgvIATAAIAAAvIAvAAIAAATIgvAAIAAAvg");
        this.shape_1.setTransform(9.1, 13.1);

        this.shape_2 = new cjs.Shape();
        this.shape_2.graphics.f("#45C7FE").s().p("AgJA5IAAgvIgvAAIAAgTIAvAAIAAgvIATAAIAAAvIAvAAIAAATIgvAAIAAAvg");
        this.shape_2.setTransform(9.1, 13.1);

        this.shape_3 = new cjs.Shape();
        this.shape_3.graphics.f("#666666").s().p("AgJAdIAAgMIATAAIAAAMgAAKgQIAAgMIAvAAIAAAMgAg4gQIAAgMIAvAAIAAAMg");
        this.shape_3.setTransform(9.1, 15.9);

        this.shape_4 = new cjs.Shape();
        this.shape_4.graphics.f("#CCCCCC").s().p("AgJA5IAAgjIAAgMIgvAAIAAgTIAvAAIAAgvIATAAIAAAvIAvAAIAAATIgvAAIAAAMIAAAjg");
        this.shape_4.setTransform(9.1, 11.9);

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.shape_1
            }, {
                t: this.shape,
                p: {
                    scaleX: 1,
                    scaleY: 1
                }
            }]
        }).to({
            state: [{
                t: this.shape_2,
                p: {
                    scaleX: 1,
                    scaleY: 1
                }
            }, {
                t: this.shape,
                p: {
                    scaleX: 1,
                    scaleY: 1
                }
            }]
        }, 4).to({
            state: [{
                t: this.shape_2,
                p: {
                    scaleX: 0.95,
                    scaleY: 0.95
                }
            }, {
                t: this.shape,
                p: {
                    scaleX: 0.95,
                    scaleY: 0.95
                }
            }]
        }, 5).to({
            state: [{
                t: this.shape_4
            }, {
                t: this.shape_3
            }]
        }, 5).wait(5));

        // arrowUp
        this.instance = new lib.arrowUp();
        this.instance.parent = this;
        this.instance.setTransform(0, 24, 1, 1, 0, 180, 0);
        this.instance.cache(-2, -5, 29, 34);

        this.instance_1 = new lib.arrowOver();
        this.instance_1.parent = this;
        this.instance_1.setTransform(22, 0, 1, 1, 0, 0, 180);
        this.instance_1.cache(-5, -5, 29, 34);

        this.instance_2 = new lib.arrowDown();
        this.instance_2.parent = this;
        this.instance_2.setTransform(22, 0, 1, 1, 0, 0, 180);
        this.instance_2.cache(-5, -5, 29, 34);

        this.instance_3 = new lib.arrowInactive();
        this.instance_3.parent = this;
        this.instance_3.setTransform(22, 0, 1, 1, 0, 0, 180);
        this.instance_3.cache(-5, -5, 29, 34);

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.instance
            }]
        }).to({
            state: [{
                t: this.instance_1
            }]
        }, 4).to({
            state: [{
                t: this.instance_2
            }]
        }, 5).to({
            state: [{
                t: this.instance_3
            }]
        }, 5).wait(5));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = new cjs.Rectangle(0.1, -2.9, 25, 29.9);


    (lib.lineBetDecrementorButton = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {
            "_up": 0,
            "_over": 4,
            "_down": 9,
            "_inactive": 14
        });

        // minus
        this.shape = new cjs.Shape();
        this.shape.graphics.f("#FFFFFF").s().p("Ag4AKIAAgTIBxAAIAAATg");
        this.shape.setTransform(13.2, 11.9);

        this.shape_1 = new cjs.Shape();
        this.shape_1.graphics.f("#00ABFF").s().p("Ag4AKIAAgTIBxAAIAAATg");
        this.shape_1.setTransform(13.2, 13.1);

        this.shape_2 = new cjs.Shape();
        this.shape_2.graphics.f("#45C7FE").s().p("Ag4AKIAAgTIBxAAIAAATg");
        this.shape_2.setTransform(13.2, 13.1);

        this.shape_3 = new cjs.Shape();
        this.shape_3.graphics.f("#45C7FE").s().p("Ag1AGIAAgLIBrAAIAAALg");
        this.shape_3.setTransform(13.2, 13.5);

        this.shape_4 = new cjs.Shape();
        this.shape_4.graphics.f("#FFFFFF").s().p("Ag1AKIAAgTIBrAAIAAATg");
        this.shape_4.setTransform(13.2, 11.9);

        this.shape_5 = new cjs.Shape();
        this.shape_5.graphics.f("#CCCCCC").s().p("Ag4AKIAAgTIBxAAIAAATg");
        this.shape_5.setTransform(13.2, 11.9);

        this.shape_6 = new cjs.Shape();
        this.shape_6.graphics.f("#666666").s().p("Ag4AGIAAgLIBxAAIAAALg");
        this.shape_6.setTransform(13.2, 13.6);

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.shape_1
            }, {
                t: this.shape
            }]
        }).to({
            state: [{
                t: this.shape_2
            }, {
                t: this.shape
            }]
        }, 4).to({
            state: [{
                t: this.shape_4
            }, {
                t: this.shape_3
            }]
        }, 5).to({
            state: [{
                t: this.shape_6
            }, {
                t: this.shape_5
            }]
        }, 5).wait(5));

        // arrowUp
        this.instance = new lib.arrowUp();
        this.instance.parent = this;
        this.instance.setTransform(22.3, 24.3, 1, 1, 180);
        this.instance.cache(-2, -5, 29, 34);

        this.instance_1 = new lib.arrowOver();
        this.instance_1.parent = this;
        this.instance_1.cache(-5, -5, 29, 34);

        this.instance_2 = new lib.arrowDown();
        this.instance_2.parent = this;
        this.instance_2.cache(-5, -5, 29, 34);

        this.instance_3 = new lib.arrowInactive();
        this.instance_3.parent = this;
        this.instance_3.cache(-5, -5, 29, 34);

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.instance
            }]
        }).to({
            state: [{
                t: this.instance_1
            }]
        }, 4).to({
            state: [{
                t: this.instance_2
            }]
        }, 5).to({
            state: [{
                t: this.instance_3
            }]
        }, 5).wait(5));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = new cjs.Rectangle(-2.7, -2.7, 25, 29.9);


    (lib.AutoPlayStopButton = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {
            "_up": 0,
            "_over": 4,
            "_down": 10,
            "_inactive": 15
        });

        // label
        this.label = new lib.autoPlayStopButtonLabel();
        this.label.parent = this;
        this.label.setTransform(25.9, 0.9, 1, 1, 0, 0, 0, 25.9, 15.9);

        this.timeline.addTween(cjs.Tween.get(this.label).wait(21));

        // plaque frame
        this.instance = new lib.autoPlayButtonFramePlaque_im();
        this.instance.parent = this;
        this.instance.setTransform(-40, -40);

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(21));

        // lit
        this.instance_1 = new lib.autoPlayLit();
        this.instance_1.parent = this;
        this.instance_1.alpha = 0.219;
        this.instance_1.compositeOperation = "lighter";
        this.instance_1._off = true;

        this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(4).to({
            _off: false
        }, 0).wait(6).to({
            scaleX: 0.97,
            scaleY: 0.97
        }, 0).to({
            _off: true
        }, 5).wait(6));

        // spinButtonHighlight
        this.spinButtonHighlight = new lib.autoPlayButtonHighlight();
        this.spinButtonHighlight.parent = this;
        this.spinButtonHighlight.alpha = 0.469;

        this.timeline.addTween(cjs.Tween.get(this.spinButtonHighlight).wait(10).to({
            scaleX: 0.97,
            scaleY: 0.97
        }, 0).wait(5).to({
            scaleX: 1,
            scaleY: 1
        }, 0).wait(6));

        // icon
        this.instance_2 = new lib.AutoPlayStopButtonSquareIcon();
        this.instance_2.parent = this;
        this.instance_2.setTransform(0, 0, 0.75, 0.75);
        this.instance_2._off = true;

        this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(15).to({
            _off: false
        }, 0).wait(6));

        // fill
        this.instance_3 = new lib.autoPlayButtonFill("single", 2);
        this.instance_3.parent = this;

        this.timeline.addTween(cjs.Tween.get(this.instance_3).wait(10).to({
            scaleX: 0.97,
            scaleY: 0.97,
            startPosition: 3
        }, 0).wait(5).to({
            scaleX: 1,
            scaleY: 1,
            startPosition: 4
        }, 0).wait(6));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = new cjs.Rectangle(-40, -40, 80, 80);


    (lib.AutoPlayChoicesLoc = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // autoPlayChoice4
        this.autoPlayChoice4 = new lib.autoPlayChoiceValue();
        this.autoPlayChoice4.parent = this;
        this.autoPlayChoice4.setTransform(15, -135, 1, 0.974);

        this.timeline.addTween(cjs.Tween.get(this.autoPlayChoice4).wait(4));

        // autoPlayChoice3
        this.autoPlayChoice3 = new lib.autoPlayChoiceValue();
        this.autoPlayChoice3.parent = this;
        this.autoPlayChoice3.setTransform(42, -100.2, 1, 0.974, 0, 0, 0, 27, 10);

        this.timeline.addTween(cjs.Tween.get(this.autoPlayChoice3).wait(4));

        // autoPlayChoice2
        this.autoPlayChoice2 = new lib.autoPlayChoiceValue();
        this.autoPlayChoice2.parent = this;
        this.autoPlayChoice2.setTransform(42, -75.2, 1, 0.974, 0, 0, 0, 27, 10);

        this.timeline.addTween(cjs.Tween.get(this.autoPlayChoice2).wait(4));

        // autoPlayChoice1
        this.autoPlayChoice1 = new lib.autoPlayChoiceValue();
        this.autoPlayChoice1.parent = this;
        this.autoPlayChoice1.setTransform(42, -50.2, 1, 0.974, 0, 0, 0, 27, 10);

        this.timeline.addTween(cjs.Tween.get(this.autoPlayChoice1).wait(4));

        // autoPlayChoice0
        this.autoPlayChoice0 = new lib.autoPlayChoiceValue();
        this.autoPlayChoice0.parent = this;
        this.autoPlayChoice0.setTransform(42, -25.2, 1, 0.974, 0, 0, 0, 27, 10);

        this.timeline.addTween(cjs.Tween.get(this.autoPlayChoice0).wait(4));

        // autoPlayChoicesMenu.png
        this.autoPlayChoiceBackground = new lib.AutoPlayChoiceBackground();
        this.autoPlayChoiceBackground.parent = this;
        this.autoPlayChoiceBackground.setTransform(19.5, -83, 1, 1, 0, 0, 0, 19.5, 67);

        this.timeline.addTween(cjs.Tween.get(this.autoPlayChoiceBackground).wait(4));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = new cjs.Rectangle(0, -150, 80, 165);


    (lib.AutoPlayButton = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {
            "_up": 0,
            "_over": 4,
            "_down": 10,
            "_inactive": 15
        });

        // plaque frame
        this.instance = new lib.autoPlayButtonFramePlaque_im();
        this.instance.parent = this;
        this.instance.setTransform(-40, -40);

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(21));

        // lit
        this.instance_1 = new lib.autoPlayLit();
        this.instance_1.parent = this;
        this.instance_1.alpha = 0.219;
        this.instance_1.compositeOperation = "lighter";
        this.instance_1._off = true;

        this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(4).to({
            _off: false
        }, 0).wait(6).to({
            scaleX: 0.97,
            scaleY: 0.97
        }, 0).to({
            _off: true
        }, 5).wait(6));

        // autoplayPlusIcon
        this.instance_2 = new lib.autoplayPlusIcon();
        this.instance_2.parent = this;
        this.instance_2.shadow = new cjs.Shadow("#45C7FE", 0, 0, 2);

        this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(10).to({
            scaleX: 0.97,
            scaleY: 0.97
        }, 0).wait(5).to({
            scaleX: 1,
            scaleY: 1
        }, 0).wait(6));

        // autoplayPlusIcon
        this.instance_3 = new lib.autoplayPlusIcon();
        this.instance_3.parent = this;
        this.instance_3.shadow = new cjs.Shadow("#5C5C5C", 0, 0, 2);
        this.instance_3._off = true;

        this.timeline.addTween(cjs.Tween.get(this.instance_3).wait(15).to({
            _off: false
        }, 0).wait(6));

        // autoPlayButtonArrowsIcon
        this.instance_4 = new lib.autoPlayButtonArrowsIcon();
        this.instance_4.parent = this;
        this.instance_4.shadow = new cjs.Shadow("#FFFFFF", 0, 0, 2);

        this.timeline.addTween(cjs.Tween.get(this.instance_4).wait(10).to({
            scaleX: 0.97,
            scaleY: 0.97
        }, 0).wait(5).to({
            scaleX: 1,
            scaleY: 1
        }, 0).wait(6));

        // autoPlayButtonFill
        this.instance_5 = new lib.autoPlayButtonFill("single", 0);
        this.instance_5.parent = this;

        this.timeline.addTween(cjs.Tween.get(this.instance_5).wait(10).to({
            startPosition: 1
        }, 0).wait(5).to({
            startPosition: 4
        }, 0).wait(6));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = new cjs.Rectangle(-40, -40, 80, 80);


    (lib.stepper_lineBet = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // timeline functions:
        this.frame_0 = function() {
            this.label.params = {
                fontYOffset: 0,
                outline: {
                    size: 2,
                    yOffset: 0,
                    xOffset: 0,
                    color: "#333333"
                }
            }
        }

        // actions tween:
        this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

        // text
        this.label = new cjs.Text("XXXX", "bold 26px 'Futura Cdnsd BoldEuro LocCur'", "#FFFFFF");
        this.label.name = "label";
        this.label.textAlign = "center";
        this.label.lineHeight = 35;
        this.label.lineWidth = 120;
        this.label.parent = this;
        this.label.setTransform(84.4, 2);
        this.label.shadow = new cjs.Shadow("rgba(0,0,0,1)", 1, 1, 0);

        this.timeline.addTween(cjs.Tween.get(this.label).wait(1));

        // buttons
        this.minusButton = new lib.lineBetDecrementorButton();
        this.minusButton.parent = this;
        this.minusButton.setTransform(6.5, 14, 1, 1, 0, 0, 0, 6.5, 10);

        this.plusButton = new lib.linesIncrementorButton();
        this.plusButton.parent = this;
        this.plusButton.setTransform(154.5, 14, 1, 1, 0, 0, 0, 6.5, 10);

        this.timeline.addTween(cjs.Tween.get({}).to({
            state: [{
                t: this.plusButton
            }, {
                t: this.minusButton
            }]
        }).wait(1));

    }).prototype = getMCSymbolPrototype(lib.stepper_lineBet, new cjs.Rectangle(-2.7, -1, 175.8, 45), null);


    (lib.linesbetdisplayloc = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // timeline functions:
        this.frame_0 = function() {
            this.label.params = {
                fontYOffset: -10,
                outline: {
                    size: 4,
                    yOffset: 0,
                    xOffset: 0,
                    color: "#634923"
                }
            }
        }

        // actions tween:
        this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

        // text
        this.label = new cjs.Text("???", "22px 'Trajan Pro Loc Currency'", "#F2D854");
        this.label.name = "label";
        this.label.textAlign = "center";
        this.label.lineHeight = 29;
        this.label.lineWidth = 166;
        this.label.parent = this;
        this.label.setTransform(110, 22);
        this.label.shadow = new cjs.Shadow("rgba(0,0,0,1)", 1, 1, 0);

        this.timeline.addTween(cjs.Tween.get(this.label).wait(1));

        // numeric stepper
        this.numericStepper = new lib.stepper_lineBet();
        this.numericStepper.parent = this;
        this.numericStepper.setTransform(92.5, 63.1, 1, 1, 0, 0, 0, 67.5, 18.1);

        this.timeline.addTween(cjs.Tween.get(this.numericStepper).wait(1));

        // plaque
        this.instance = new lib.TotalBetPlaqueBG();
        this.instance.parent = this;
        this.instance.setTransform(78, 31.5, 1, 1, 0, 0, 0, 78, 31.5);
        this.instance.cache(-2, -2, 224, 104);

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

    }).prototype = getMCSymbolPrototype(lib.linesbetdisplayloc, new cjs.Rectangle(0, 0, 220, 100), null);


    (lib.AutoPlayButtonFull = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // play button
        this.autoPlayButton = new lib.AutoPlayButton();
        this.autoPlayButton.parent = this;
        this.autoPlayButton.setTransform(40.1, 164.1, 1, 1, 0, 0, 0, 0.1, 0.1);
        this.autoPlayButton.shadow = new cjs.Shadow("rgba(0,0,0,1)", 0, 0, 5);

        this.timeline.addTween(cjs.Tween.get(this.autoPlayButton).wait(1));

        // stop button
        this.autoPlayStopButton = new lib.AutoPlayStopButton();
        this.autoPlayStopButton.parent = this;
        this.autoPlayStopButton.setTransform(40, 164);
        this.autoPlayStopButton.shadow = new cjs.Shadow("rgba(0,0,0,1)", 1, 1, 3);

        this.timeline.addTween(cjs.Tween.get(this.autoPlayStopButton).wait(1));

        // plaque
        this.instance = new lib.autoPlayButtonPlaque_im();
        this.instance.parent = this;
        this.instance.setTransform(0, 124);

        this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

        // auto play choices
        this.autoPlayChoices = new lib.AutoPlayChoicesLoc();
        this.autoPlayChoices.parent = this;
        this.autoPlayChoices.setTransform(0, 145);

        this.timeline.addTween(cjs.Tween.get(this.autoPlayChoices).wait(1));

    }).prototype = getMCSymbolPrototype(lib.AutoPlayButtonFull, new cjs.Rectangle(-9, -4.9, 104, 224), null);


    // stage content:
    (lib.ControlSkin = function(mode, startPosition, loop) {
        this.initialize(mode, startPosition, loop, {});

        // line stepper
        this.lineMeter = new lib.linesdisplayloc();
        this.lineMeter.parent = this;
        this.lineMeter.setTransform(167, 748, 1, 1, 0, 0, 0, 57, 43);

        this.timeline.addTween(cjs.Tween.get(this.lineMeter).wait(1));

        // line bet meter
        this.lineBetMeter = new lib.linesbetdisplayloc();
        this.lineBetMeter.parent = this;
        this.lineBetMeter.setTransform(313, 748, 1, 1, 0, 0, 0, 93, 43);

        this.timeline.addTween(cjs.Tween.get(this.lineBetMeter).wait(1));

        // total bet
        this.totalBetMeter = new lib.TotalBetMeter();
        this.totalBetMeter.parent = this;
        this.totalBetMeter.setTransform(533, 748, 1, 1, 0, 0, 0, 93, 43);

        this.timeline.addTween(cjs.Tween.get(this.totalBetMeter).wait(1));

        // win meter
        this.winMeter = new lib.WinMeter();
        this.winMeter.parent = this;
        this.winMeter.setTransform(879, 735.4, 1, 1, 0, 0, 0, 99, 40.4);

        this.timeline.addTween(cjs.Tween.get(this.winMeter).wait(1));

        // balance
        this.balanceMeter = new lib.balancedisplayloc();
        this.balanceMeter.parent = this;
        this.balanceMeter.setTransform(1102.2, 731.7, 1, 1, 0, 0, 0, 68.2, 26.7);

        this.timeline.addTween(cjs.Tween.get(this.balanceMeter).wait(1));

        // PromoFS
        this.promoFSMeter = new lib.balancedisplayloc();
        this.promoFSMeter.parent = this;
        this.promoFSMeter.setTransform(1102.2, 731.7, 1, 1, 0, 0, 0, 68.2, 26.7);

        this.timeline.addTween(cjs.Tween.get(this.promoFSMeter).wait(1));

        // auto play
        this.autoPlay = new lib.AutoPlayButtonFull();
        this.autoPlay.parent = this;
        this.autoPlay.setTransform(1273.4, 662.7, 1, 1, 0, 0, 0, 24.4, 72.2);

        this.timeline.addTween(cjs.Tween.get(this.autoPlay).wait(1));

        // play button
        this.playButton = new lib.PlayButton();
        this.playButton.parent = this;
        this.playButton.setTransform(720, 756);

        this.timeline.addTween(cjs.Tween.get(this.playButton).wait(1));

    }).prototype = p = new cjs.MovieClip();
    p.nominalBounds = new cjs.Rectangle(830, 990.5, 1234, 240.5);
    // library properties:
    lib.properties = {
        width: 1440,
        height: 810,
        fps: 24,
        color: "#0066CC",
        opacity: 1.00,
        webfonts: {},
        manifest: [{
            src: "images/ControlSkin_atlas_P_.png",
            id: "ControlSkin_atlas_P_"
        }],
        preloads: []
    };




})(ControlSkin = ControlSkin || {}, images = images || {}, createjs = createjs || {}, ss = ss || {}, AdobeAn = AdobeAn || {});
var ControlSkin, images, createjs, ss, AdobeAn;